Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.aspectj
Class AbstractAspectJProbe

    java.lang.Object
      kieker.monitoring.probe.aspectj.AbstractAspectJProbe

All Implemented Interfaces:
  IMonitoringProbe

Direct Known Subclasses:
  AbstractAspect, AbstractAspect, AbstractAspect, AbstractAspect, AbstractAspect, AbstractAspect, AbstractAspect, AbstractAspect, AbstractAspect, AbstractAspect, AbstractAspect, AbstractOperationExecutionAspect, SynchronizedAspect, ThreadingAspect

    public abstract class AbstractAspectJProbe

extends Object
implements IMonitoringProbe

Since:
  1.2
Author:
  Jan Waller

Constructor Summary
`AbstractAspectJProbe()`

Method Summary
`void` | `getter()` This is a pointcut accepting all calls and executions of getter methods (methods which return something and start with `get` or return a boolean and start with `is`).
`void` | `noGetterAndSetter()` This is a pointcut accepting everything that is neither a getter nor a setter.
`void` | `notWithinKieker()` This is a pointcut accepting everything that is not within kieker.common, kieker.monitoring, kieker.analysis and kieker.tools.
`void` | `setter()` This is a pointcut accepting all calls and executions of setter methods (methods which return void and start with `set`).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAspectJProbe

    public AbstractAspectJProbe()

Method Detail

### notWithinKieker

    public void notWithinKieker()

  This is a pointcut accepting everything that is not within kieker.common, kieker.monitoring, kieker.analysis and kieker.tools.

### setter

    public void setter()

  This is a pointcut accepting all calls and executions of setter methods (methods which return void and start with `set`).

### getter

    public void getter()

  This is a pointcut accepting all calls and executions of getter methods (methods which return something and start with `get` or return a boolean and start with `is`).

### noGetterAndSetter

    public void noGetterAndSetter()

  This is a pointcut accepting everything that is neither a getter nor a setter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net